Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class AbstractVMConfig

`java.lang.Object
oracle.ovs.api.datamodel.VirtualMachineBase
oracle.ovs.api.datamodel.AbstractVMConfig`

All Implemented Interfaces:
  java.io.Serializable

      public abstract class AbstractVMConfig

extends VirtualMachineBase

abstract class for AbstractVMConfig

See Also:
  Serialized Form

Field Summary
`protected DiskConfig` | `diskConf`
`protected VirtualServer[]` | `preferredServers`
`protected ServerPool` | `serverPool`
`protected NICConfig[]` | `vif`

Fields inherited from class oracle.ovs.api.datamodel.VirtualMachineBase
`BOOT_DEVICE_CDROM, BOOT_DEVICE_HDD, BOOT_DEVICE_PXE, CLONING, CREATING, DEFAULT_KEYBOARD_LAYOUT, DELETING, DEPLOY_AUTO, DEPLOY_MANUAL, DEPLOYING, ERROR, IMG_TYPE, INITIALIZING, MEMORY_LOWERBOUND, MIGRATING, OP_CLONE, OP_DELETE, OP_EDIT, OP_LIVEMIG, OP_PAUSE, OP_POWEROFF, OP_POWERON, OP_PREF_SRV, OP_REBOOT, OP_RESET_STATUS, OP_RESUME, OP_SAVTEM, OP_SUSPEND, OP_UNPAUSE, PAUSED, PAUSING, POWEREDOFF, REBOOTING, RESUMING, RUNNING, SAVING, SHUTTINGDOWN, SUSPENDED, SUSPENDING, UNKNOWN, UNPAUSING, VM_TYPE_HVM, VM_TYPE_PVM`

Constructor Summary
`AbstractVMConfig()`

Method Summary
`abstract java.lang.String` | `getComments()`
`abstract java.lang.String` | `getConsolePassword()`
`abstract int` | `getCpuNumber()`
`DiskConfig` | `getDiskConf()`
`abstract boolean` | `getHaEnable()`
`abstract java.lang.Double` | `getImgSize()`
`abstract java.lang.Integer` | `getMemory()`
`abstract VirtualServer[]` | `getPreferredServers()`
`ServerPool` | `getServerPool()`
`NICConfig[]` | `getVif()`
`abstract java.lang.String` | `getVmName()`
`abstract VmType` | `getVmTpe()`
`abstract void` | `setComments(java.lang.String comments)`
`abstract void` | `setConsolePassword(java.lang.String consolePassword)`
`abstract void` | `setCpuNumber(int cpuNumber)`
`void` | `setDiskConf(DiskConfig diskConf)`
`abstract void` | `setHaEnable(boolean haEnable)`
`abstract void` | `setMemory(java.lang.Integer memory)`
`abstract void` | `setPreferredServers(VirtualServer[] preferredServers)`
`void` | `setServerPool(ServerPool serverPool)`
`void` | `setVif(NICConfig[] vif)`
`abstract void` | `setVmName(java.lang.String vmName)`
`abstract void` | `setVmType(VmType vmType)`
`abstract void` | `setVncPassword(java.lang.String vncPassword)`

Methods inherited from class oracle.ovs.api.datamodel.VirtualMachineBase
`getBootDeviceCdrom, getBootDeviceHdd, getBootDevicePxe, getHvmType, getPvmType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serverPool

    protected ServerPool serverPool

### preferredServers

    protected VirtualServer[] preferredServers

### diskConf

    protected DiskConfig diskConf

### vif

    protected NICConfig[] vif

Constructor Detail

### AbstractVMConfig

    public AbstractVMConfig()

Method Detail

### setServerPool

    public void setServerPool(ServerPool serverPool)

### getServerPool

    public ServerPool getServerPool()

### setVif

    public void setVif(NICConfig[] vif)

### getVif

    public NICConfig[] getVif()

### setDiskConf

    public void setDiskConf(DiskConfig diskConf)

### getDiskConf

    public DiskConfig getDiskConf()

### setVmName

    public abstract void setVmName(java.lang.String vmName)

### setConsolePassword

    public abstract void setConsolePassword(java.lang.String consolePassword)

### setVncPassword

    public abstract void setVncPassword(java.lang.String vncPassword)

### setComments

    public abstract void setComments(java.lang.String comments)

### setMemory

    public abstract void setMemory(java.lang.Integer memory)

### setCpuNumber

    public abstract void setCpuNumber(int cpuNumber)

### setVmType

    public abstract void setVmType(VmType vmType)

### setHaEnable

    public abstract void setHaEnable(boolean haEnable)

### setPreferredServers

    public abstract void setPreferredServers(VirtualServer[] preferredServers)

### getVmName

    public abstract java.lang.String getVmName()

### getConsolePassword

    public abstract java.lang.String getConsolePassword()

### getComments

    public abstract java.lang.String getComments()

### getMemory

    public abstract java.lang.Integer getMemory()

### getCpuNumber

    public abstract int getCpuNumber()

### getVmTpe

    public abstract VmType getVmTpe()

### getHaEnable

    public abstract boolean getHaEnable()

### getImgSize

    public abstract java.lang.Double getImgSize()

### getPreferredServers

    public abstract VirtualServer[] getPreferredServers()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.